<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4029
Name: Bezug zu Abgabe des Medikaments
Description: Bezug zur zugehörigen Abgabe
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4029-2014-12-21T000000">
   <title>Bezug zu Abgabe des Medikaments</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4029
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]
Item: (RelatedDispense)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]"
         id="d115e3462-false-d42439e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029'])&gt;=1">(RelatedDispense): Element hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029'])&lt;=1">(RelatedDispense): Element hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4029
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']
Item: (RelatedDispense)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']"
         id="d115e3476-false-d42463e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="string(@classCode)=('SPLY')">(RelatedDispense): Der Wert von @classCode MUSS 'SPLY' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="string(@moodCode)=('EVN')">(RelatedDispense): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4029'])&gt;=1">(RelatedDispense): Element hl7:templateId[@root='1.2.276.0.76.10.4029'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4029'])&lt;=1">(RelatedDispense): Element hl7:templateId[@root='1.2.276.0.76.10.4029'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="count(hl7:id)&gt;=1">(RelatedDispense): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="count(hl7:id)&lt;=1">(RelatedDispense): Element hl7:id kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4029
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:templateId[@root='1.2.276.0.76.10.4029']
Item: (RelatedDispense)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:templateId[@root='1.2.276.0.76.10.4029']"
         id="d115e3494-false-d42512e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelatedDispense): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4029')">(RelatedDispense): Der Wert von @root MUSS '1.2.276.0.76.10.4029' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4029
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:id
Item: (RelatedDispense)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:id"
         id="d115e3502-false-d42530e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelatedDispense): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="string(@nullFlavor)=('NI') or not(@nullFlavor)">(RelatedDispense): Der Wert von @nullFlavor MUSS 'NI' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4029
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer
Item: (RelatedDispense)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer"
         id="d115e3513-false-d42549e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="string(@typeCode)=('PRF')">(RelatedDispense): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)])&gt;=1">(RelatedDispense): Element hl7:assignedEntity[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4029-2014-12-21T000000.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)])&lt;=1">(RelatedDispense): Element hl7:assignedEntity[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90014
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]
Item: (CDAPerformerBody)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]"
         id="d42555e19-false-d42581e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:id)&gt;=1">(CDAPerformerBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:addr)&lt;=1">(CDAPerformerBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:assignedPerson[not(@nullFlavor)])&gt;=1">(CDAPerformerBody): Element hl7:assignedPerson[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:assignedPerson[not(@nullFlavor)])&lt;=1">(CDAPerformerBody): Element hl7:assignedPerson[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAPerformerBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:id
Item: (AssignedEntityElements)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:id"
         id="d42629e20-false-d42638e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:addr
Item: (AssignedEntityElements)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:addr"
         id="d42629e24-false-d42652e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:telecom
Item: (AssignedEntityElements)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:telecom"
         id="d42629e29-false-d42666e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]
Item: (AssignedEntityElements)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]"
         id="d42629e31-false-d42681e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]"
         id="d42691e22-false-d42715e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization
Item: (AssignedEntityElements)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization"
         id="d42629e40-false-d42730e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(AssignedEntityElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:id"
         id="d42740e24-false-d42782e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:name[not(@nullFlavor)]"
         id="d42740e29-false-d42796e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom"
         id="d42740e33-false-d42810e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']]/hl7:supply[hl7:templateId/@root='1.2.276.0.76.10.4029']/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr"
         id="d42740e37-false-d42824e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
</pattern>
