<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4028
Name: Bezug zu Verordnung des Medikaments
Description: Bezug zur zugehörigen Verordnung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4028-2014-12-21T000000">
   <title>Bezug zu Verordnung des Medikaments</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4028
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]
Item: (RelatedPrescription)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]"
         id="d115e3380-false-d41873e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028'])&gt;=1">(RelatedPrescription): Element hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028'])&lt;=1">(RelatedPrescription): Element hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4028
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']
Item: (RelatedPrescription)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']"
         id="d115e3394-false-d41897e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="string(@classCode)=('SBADM')">(RelatedPrescription): Der Wert von @classCode MUSS 'SBADM' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="string(@moodCode)=('INT')">(RelatedPrescription): Der Wert von @moodCode MUSS 'INT' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4028'])&gt;=1">(RelatedPrescription): Element hl7:templateId[@root='1.2.276.0.76.10.4028'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4028'])&lt;=1">(RelatedPrescription): Element hl7:templateId[@root='1.2.276.0.76.10.4028'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:id)&gt;=1">(RelatedPrescription): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:id)&lt;=1">(RelatedPrescription): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&gt;=1">(RelatedPrescription): Element hl7:consumable[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&lt;=1">(RelatedPrescription): Element hl7:consumable[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:author)&lt;=1">(RelatedPrescription): Element hl7:author kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4028
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:templateId[@root='1.2.276.0.76.10.4028']
Item: (RelatedPrescription)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:templateId[@root='1.2.276.0.76.10.4028']"
         id="d115e3420-false-d41961e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelatedPrescription): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4028')">(RelatedPrescription): Der Wert von @root MUSS '1.2.276.0.76.10.4028' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4028
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:id
Item: (RelatedPrescription)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:id"
         id="d115e3428-false-d41979e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelatedPrescription): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="string(@nullFlavor)=('NI') or not(@nullFlavor)">(RelatedPrescription): Der Wert von @nullFlavor MUSS 'NI' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4028
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:consumable[not(@nullFlavor)]
Item: (RelatedPrescription)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:consumable[not(@nullFlavor)]"
         id="d115e3439-false-d41997e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)])&gt;=1">(RelatedPrescription): Element hl7:manufacturedProduct[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)])&lt;=1">(RelatedPrescription): Element hl7:manufacturedProduct[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4028
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]
Item: (RelatedPrescription)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]"
         id="d115e3441-false-d42020e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1">(RelatedPrescription): Element hl7:manufacturedMaterial ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(RelatedPrescription): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4028
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedMaterial
Item: (RelatedPrescription)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedMaterial"
         id="d115e3443-false-d42043e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="string(@nullFlavor)=('NA')">(RelatedPrescription): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4028
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author
Item: (RelatedPrescription)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author"
         id="d115e3452-false-d42058e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(RelatedPrescription): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(RelatedPrescription): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:functionCode)&lt;=1">(RelatedPrescription): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:time)&gt;=1">(RelatedPrescription): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:time)&lt;=1">(RelatedPrescription): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1">(RelatedPrescription): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.4028-2014-12-21T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(RelatedPrescription): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:functionCode
Item: (CDAAuthorBody)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:functionCode"
         id="d42068e33-false-d42111e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAAuthorBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAAuthorBody): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:time
Item: (CDAAuthorBody)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:time"
         id="d42068e38-false-d42140e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor
Item: (CDAAuthorBody)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor"
         id="d42068e40-false-d42154e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAuthorBody): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:id)&gt;=1">(CDAAuthorBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAuthorBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAAuthorBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAuthorBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAAuthorBody)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="d42068e44-false-d42218e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:code
Item: (CDAAuthorBody)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:code"
         id="d42068e46-false-d42232e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAuthorBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (CDAAuthorBody)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="d42068e51-false-d42253e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (CDAAuthorBody)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="d42068e53-false-d42267e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAAuthorBody)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="d42068e56-false-d42282e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAAuthorBody): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAAuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(CDAAuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(CDAAuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]"
         id="d42292e22-false-d42316e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAAuthorBody)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="d42068e61-false-d42331e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAAuthorBody): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAAuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(CDAAuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(CDAAuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAAuthorBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="d42341e24-false-d42383e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]"
         id="d42341e29-false-d42397e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="d42341e33-false-d42411e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']]/hl7:substanceAdministration[hl7:templateId/@root='1.2.276.0.76.10.4028']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="d42341e37-false-d42425e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
</pattern>
