<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.12.302
Name: CDA Encounter
Description: Template CDA Encounter (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.12.302-2005-09-07T000000">
   <title>CDA Encounter</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]
Item: (CDAEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']
Item: (CDAEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']"
         id="d115e13236-false-d73510e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="string(@classCode)=('ENC') or not(@classCode)">(CDAEncounter): Der Wert von @classCode MUSS 'ENC' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="@moodCode">(CDAEncounter): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CDAEncounter): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19459-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(CDAEncounter): Der Wert von moodCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19459' x_DocumentEncounterMood (DYNAMIC).</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.302'])&gt;=1">(CDAEncounter): Element hl7:templateId[@root='2.16.840.1.113883.10.12.302'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.302'])&lt;=1">(CDAEncounter): Element hl7:templateId[@root='2.16.840.1.113883.10.12.302'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAEncounter): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAEncounter): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAEncounter): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAEncounter): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(CDAEncounter): Element hl7:priorityCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="count(hl7:subject)&lt;=1">(CDAEncounter): Element hl7:subject kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:templateId[@root='2.16.840.1.113883.10.12.302']
Item: (CDAEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:templateId[@root='2.16.840.1.113883.10.12.302']"
         id="d115e13246-false-d73771e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.12.302')">(CDAEncounter): Der Wert von @root MUSS '2.16.840.1.113883.10.12.302' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:id
Item: (CDAEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:id"
         id="d115e13251-false-d73789e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:code
Item: (CDAEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:code"
         id="d115e13253-false-d73803e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.13955-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAEncounter): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.13955 ActEncounterCode (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.13955-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAEncounter): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.13955 ActEncounterCode (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:text
Item: (CDAEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:text"
         id="d115e13260-false-d73832e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:statusCode
Item: (CDAEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:statusCode"
         id="d115e13262-false-d73846e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAEncounter): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAEncounter): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:effectiveTime
Item: (CDAEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:effectiveTime"
         id="d115e13268-false-d73875e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:priorityCode
Item: (CDAEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:priorityCode"
         id="d115e13270-false-d73889e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAEncounter): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16866 ActPriority (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAEncounter): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.16866 ActPriority (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject
Item: (CDAEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.320
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject
Item: (CDASubjectBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="string(@typeCode)=('SBJ') or not(@typeCode)">(CDASubjectBody): Der Wert von @typeCode MUSS 'SBJ' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDASubjectBody): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="count(hl7:awarenessCode)&lt;=1">(CDASubjectBody): Element hl7:awarenessCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="count(hl7:relatedSubject)&gt;=1">(CDASubjectBody): Element hl7:relatedSubject ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="count(hl7:relatedSubject)&lt;=1">(CDASubjectBody): Element hl7:relatedSubject kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.320
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:awarenessCode
Item: (CDASubjectBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:awarenessCode">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASubjectBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDASubjectBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDASubjectBody): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.320
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject
Item: (CDASubjectBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="@classCode">(CDASubjectBody): Attribut @classCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDASubjectBody): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19368-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(CDASubjectBody): Der Wert von classCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19368' x_DocumentSubject (DYNAMIC).</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDASubjectBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="count(hl7:subject)&lt;=1">(CDASubjectBody): Element hl7:subject kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.320
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:code
Item: (CDASubjectBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASubjectBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDASubjectBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDASubjectBody): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.320
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:addr
Item: (CDASubjectBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:addr">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASubjectBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.320
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:telecom
Item: (CDASubjectBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:telecom">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASubjectBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.320
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:subject
Item: (CDASubjectBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:subject">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDASubjectBody): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDASubjectBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(CDASubjectBody): Element hl7:administrativeGenderCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDASubjectBody): Element hl7:birthTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.320
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:subject/hl7:name
Item: (CDASubjectBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:subject/hl7:name">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASubjectBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.320
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:subject/hl7:administrativeGenderCode
Item: (CDASubjectBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:subject/hl7:administrativeGenderCode">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASubjectBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDASubjectBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.1 AdministrativeGender (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDASubjectBody): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.1 AdministrativeGender (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.320
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:subject/hl7:birthTime
Item: (CDASubjectBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:subject/hl7:relatedSubject/hl7:subject/hl7:birthTime">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.320-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASubjectBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen
Item: (CDAEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.322
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen
Item: (CDASpecimen)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="string(@typeCode)=('SPC') or not(@typeCode)">(CDASpecimen): Der Wert von @typeCode MUSS 'SPC' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="count(hl7:specimenRole)&gt;=1">(CDASpecimen): Element hl7:specimenRole ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="count(hl7:specimenRole)&lt;=1">(CDASpecimen): Element hl7:specimenRole kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.322
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole
Item: (CDASpecimen)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="string(@classCode)=('SPEC') or not(@classCode)">(CDASpecimen): Der Wert von @classCode MUSS 'SPEC' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="count(hl7:specimenPlayingEntity)&lt;=1">(CDASpecimen): Element hl7:specimenPlayingEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.322
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:id
Item: (CDASpecimen)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASpecimen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.322
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity
Item: (CDASpecimen)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="string(@classCode)=('ENT') or not(@classCode)">(CDASpecimen): Der Wert von @classCode MUSS 'ENT' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDASpecimen): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDASpecimen): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="count(hl7:desc)&lt;=1">(CDASpecimen): Element hl7:desc kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.322
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code
Item: (CDASpecimen)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASpecimen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDASpecimen): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDASpecimen): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.322
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:quantity
Item: (CDASpecimen)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:quantity">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASpecimen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="$digitok or @nullFlavor">(CDASpecimen): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(CDASpecimen): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.322
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:name
Item: (CDASpecimen)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:name">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASpecimen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.322
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:desc
Item: (CDASpecimen)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:desc">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.322-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASpecimen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer
Item: (CDAEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer
Item: (CDAPerformerBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="string(@typeCode)=('PRF') or not(@typeCode)">(CDAPerformerBody): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAPerformerBody): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:modeCode)&lt;=1">(CDAPerformerBody): Element hl7:modeCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&gt;=1">(CDAPerformerBody): Element hl7:assignedEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAPerformerBody): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:time
Item: (CDAPerformerBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:time">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerformerBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:modeCode
Item: (CDAPerformerBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:modeCode">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerformerBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAPerformerBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16543 ParticipationMode (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAPerformerBody): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.16543 ParticipationMode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity
Item: (CDAPerformerBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAPerformerBody): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1">(CDAPerformerBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAPerformerBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAPerformerBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAPerformerBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntity): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity/hl7:addr">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity/hl7:telecom">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author
Item: (CDAEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(CDAAuthorBody): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAAuthorBody): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:functionCode)&lt;=1">(CDAAuthorBody): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:time)&gt;=1">(CDAAuthorBody): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAAuthorBody): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1">(CDAAuthorBody): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAAuthorBody): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:functionCode
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:functionCode">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAAuthorBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAAuthorBody): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:time
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:time">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAuthorBody): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1">(CDAAuthorBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAuthorBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAAuthorBody): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAuthorBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:code
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAuthorBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:addr">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:telecom">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDADevice)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@classCode)=('DEV') or not(@classCode)">(CDADevice): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDADevice): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDADevice): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(CDADevice): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:softwareName)&lt;=1">(CDADevice): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:code
Item: (CDADevice)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDADevice): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDADevice): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (CDADevice)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (CDADevice)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant
Item: (CDAEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.319
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant
Item: (CDAinformantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.319-2005-09-07T000000.html"
              test="string(@typeCode)=('INF') or not(@typeCode)">(CDAinformantBody): Der Wert von @typeCode MUSS 'INF' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.319-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAinformantBody): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <let name="elmcount" value="count(hl7:assignedEntity|hl7:relatedEntity)"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.319-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAinformantBody): Auswahl (hl7:assignedEntity oder hl7:relatedEntity) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.319-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAinformantBody): Auswahl (hl7:assignedEntity oder hl7:relatedEntity) enthält zu viele Elemente [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.319
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity
Item: (CDAinformantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAssignedEntity): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1">(CDAAssignedEntity): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAssignedEntity): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAAssignedEntity): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAssignedEntity): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntity): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:addr">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:telecom">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.319
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity
Item: (CDAinformantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity
Item: (CDARelatedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="@classCode">(CDARelatedEntity): Attribut @classCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDARelatedEntity): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19316-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(CDARelatedEntity): Der Wert von classCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19316' RoleClassMutualRelationship (DYNAMIC).</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDARelatedEntity): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDARelatedEntity): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="count(hl7:relatedPerson)&lt;=1">(CDARelatedEntity): Element hl7:relatedPerson kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:code
Item: (CDARelatedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDARelatedEntity): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDARelatedEntity): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:addr
Item: (CDARelatedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:addr">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:telecom
Item: (CDARelatedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:telecom">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:effectiveTime
Item: (CDARelatedEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:effectiveTime">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson
Item: (CDARelatedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson
Item: (CDAPerson)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/hl7:name">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant
Item: (CDAEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@typeCode">(CDAParticipantBody): Attribut @typeCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAParticipantBody): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAParticipantBody): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.10901' ParticipationType (DYNAMIC).</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAParticipantBody): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAParticipantBody): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:awarenessCode)&lt;=1">(CDAParticipantBody): Element hl7:awarenessCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole)&gt;=1">(CDAParticipantBody): Element hl7:participantRole ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole)&lt;=1">(CDAParticipantBody): Element hl7:participantRole kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:time
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:time">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:awarenessCode
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:awarenessCode">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantBody): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode)=('ROL') or not(@classCode)">(CDAParticipantBody): Der Wert von @classCode MUSS 'ROL' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:playingDevice|hl7:playingEntity)"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAParticipantBody): Auswahl (hl7:playingDevice oder hl7:playingEntity) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(CDAParticipantBody): Element hl7:scopingEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:id
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:code
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAParticipantBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:addr
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:addr">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:telecom">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDADevice)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingDevice">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@classCode)=('DEV') or not(@classCode)">(CDADevice): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDADevice): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDADevice): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(CDADevice): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:softwareName)&lt;=1">(CDADevice): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingDevice/hl7:code
Item: (CDADevice)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingDevice/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDADevice): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDADevice): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingDevice/hl7:manufacturerModelName
Item: (CDADevice)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingDevice/hl7:manufacturerModelName">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingDevice/hl7:softwareName
Item: (CDADevice)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingDevice/hl7:softwareName">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAPlayingEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingEntity">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@classCode)=('ENT') or not(@classCode)">(CDAPlayingEntity): Der Wert von @classCode MUSS 'ENT' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPlayingEntity): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAPlayingEntity): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:desc)&lt;=1">(CDAPlayingEntity): Element hl7:desc kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (CDAPlayingEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPlayingEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAPlayingEntity): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAPlayingEntity): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:quantity
Item: (CDAPlayingEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:quantity">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPlayingEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="$digitok or @nullFlavor">(CDAPlayingEntity): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(CDAPlayingEntity): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (CDAPlayingEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:name">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPlayingEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:desc
Item: (CDAPlayingEntity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:desc">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPlayingEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:scopingEntity
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode)=('ENT') or not(@classCode)">(CDAParticipantBody): Der Wert von @classCode MUSS 'ENT' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAParticipantBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:desc)&lt;=1">(CDAParticipantBody): Element hl7:desc kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantBody): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:desc">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:entryRelationship
Item: (CDAEncounter)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:entryRelationship">
      <extends rule="d115e13299-false-d77904e0"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="@typeCode">(CDAEncounter): Attribut @typeCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAEncounter): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAEncounter): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMIC).</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAEncounter): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(CDAEncounter): Attribute @inversionInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(CDAEncounter): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="count(hl7:sequenceNumber)&lt;=1">(CDAEncounter): Element hl7:sequenceNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAEncounter): Element hl7:seperatableInd kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:entryRelationship/hl7:sequenceNumber
Item: (CDAEncounter)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:entryRelationship/hl7:sequenceNumber">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="digitok" value="matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="$digitok or @nullFlavor">(CDAEncounter): @value ist keine gültige INT Zahl <value-of select="@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:entryRelationship/hl7:seperatableInd
Item: (CDAEncounter)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:entryRelationship/hl7:seperatableInd">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.302-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.300
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:entryRelationship
Item: (CDAClinicalStatement)
-->
   <rule id="d115e13299-false-d77904e0" abstract="true">
      <let name="elmcount"
           value="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.12.301']|hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']|hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']|hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.10.12.304']|hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.10.12.305']|hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']|hl7:regionOfInterest[hl7:templateId/@root='2.16.840.1.113883.10.12.307']|hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.10.12.308']|hl7:supply[hl7:templateId/@root='2.16.840.1.113883.10.12.309'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.300-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAClinicalStatement): Auswahl (hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.12.301'] oder hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302'] oder hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303'] oder hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.10.12.304'] oder hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.10.12.305'] oder hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306'] oder hl7:regionOfInterest[hl7:templateId/@root='2.16.840.1.113883.10.12.307'] oder hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.10.12.308'] oder hl7:supply[hl7:templateId/@root='2.16.840.1.113883.10.12.309']) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.300-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAClinicalStatement): Auswahl (hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.12.301'] oder hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302'] oder hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303'] oder hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.10.12.304'] oder hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.10.12.305'] oder hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306'] oder hl7:regionOfInterest[hl7:templateId/@root='2.16.840.1.113883.10.12.307'] oder hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.10.12.308'] oder hl7:supply[hl7:templateId/@root='2.16.840.1.113883.10.12.309']) enthält zu viele Elemente [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference
Item: (CDAEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.324
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference
Item: (CDAReference)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="@typeCode">(CDAReference): Attribut @typeCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAReference): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAReference): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19000' x_ActRelationshipExternalReference (DYNAMIC).</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAReference): Element hl7:seperatableInd kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:externalAct|hl7:externalObservation|hl7:externalProcedure|hl7:externalDocument)"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAReference): Auswahl (hl7:externalAct oder hl7:externalObservation oder hl7:externalProcedure oder hl7:externalDocument) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAReference): Auswahl (hl7:externalAct oder hl7:externalObservation oder hl7:externalProcedure oder hl7:externalDocument) enthält zu viele Elemente [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.324
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:seperatableInd
Item: (CDAReference)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:seperatableInd">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAReference): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.325
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalAct
Item: (CDAExternalAct)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalAct">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.325-2005-09-07T000000.html"
              test="string(@classCode)=('ACT') or not(@classCode)">(CDAExternalAct): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.325-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAExternalAct): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.325-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAExternalAct): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.325-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAExternalAct): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.325
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalAct/hl7:id
Item: (CDAExternalAct)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalAct/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.325-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.325
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalAct/hl7:code
Item: (CDAExternalAct)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalAct/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.325-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.325-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAExternalAct): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.325
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalAct/hl7:text
Item: (CDAExternalAct)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalAct/hl7:text">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.325-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.326
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalObservation
Item: (CDAExternalObservation)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalObservation">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.326-2005-09-07T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(CDAExternalObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.326-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAExternalObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.326-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAExternalObservation): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.326-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAExternalObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.326
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalObservation/hl7:id
Item: (CDAExternalObservation)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalObservation/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.326-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.326
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalObservation/hl7:code
Item: (CDAExternalObservation)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalObservation/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.326-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.326-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAExternalObservation): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.326
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalObservation/hl7:text
Item: (CDAExternalObservation)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalObservation/hl7:text">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.326-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.327
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalProcedure
Item: (CDAExternalProcedure)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalProcedure">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.327-2005-09-07T000000.html"
              test="string(@classCode)=('PROC') or not(@classCode)">(CDAExternalProcedure): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.327-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAExternalProcedure): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.327-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAExternalProcedure): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.327-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAExternalProcedure): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.327
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalProcedure/hl7:id
Item: (CDAExternalProcedure)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalProcedure/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.327-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.327
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalProcedure/hl7:code
Item: (CDAExternalProcedure)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalProcedure/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.327-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.327-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAExternalProcedure): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.327
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalProcedure/hl7:text
Item: (CDAExternalProcedure)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalProcedure/hl7:text">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.327-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalProcedure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.328
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument
Item: (CDAExternalDocument)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="string(@classCode)=('DOC') or not(@classCode)">(CDAExternalDocument): Der Wert von @classCode MUSS 'DOC' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAExternalDocument): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAExternalDocument): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAExternalDocument): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="count(hl7:setId)&lt;=1">(CDAExternalDocument): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDAExternalDocument): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.328
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument/hl7:id
Item: (CDAExternalDocument)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument/hl7:id">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.328
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument/hl7:code
Item: (CDAExternalDocument)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1')">(CDAExternalDocument): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.328
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument/hl7:text
Item: (CDAExternalDocument)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument/hl7:text">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.328
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument/hl7:setId
Item: (CDAExternalDocument)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument/hl7:setId">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.328
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument/hl7:versionNumber
Item: (CDAExternalDocument)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:reference/hl7:externalDocument/hl7:versionNumber">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="digitok" value="matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.328-2005-09-07T000000.html"
              test="$digitok or @nullFlavor">(CDAExternalDocument): @value ist keine gültige INT Zahl <value-of select="@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.302
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:precondition
Item: (CDAEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.329
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:precondition
Item: (CDAPrecondition)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:precondition">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.329-2005-09-07T000000.html"
              test="string(@typeCode)=('PRCN') or not(@typeCode)">(CDAPrecondition): Der Wert von @typeCode MUSS 'PRCN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.329-2005-09-07T000000.html"
              test="count(hl7:criterion)&gt;=1">(CDAPrecondition): Element hl7:criterion ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.329-2005-09-07T000000.html"
              test="count(hl7:criterion)&lt;=1">(CDAPrecondition): Element hl7:criterion kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.329
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:precondition/hl7:criterion
Item: (CDAPrecondition)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:precondition/hl7:criterion">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.329-2005-09-07T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(CDAPrecondition): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.329-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN.CRT') or not(@moodCode)">(CDAPrecondition): Der Wert von @moodCode MUSS 'EVN.CRT' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.329-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAPrecondition): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.329-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAPrecondition): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.329-2005-09-07T000000.html"
              test="count(hl7:value)&lt;=1">(CDAPrecondition): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.329
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:precondition/hl7:criterion/hl7:code
Item: (CDAPrecondition)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:precondition/hl7:criterion/hl7:code">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.329-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPrecondition): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.329-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAPrecondition): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.329
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:precondition/hl7:criterion/hl7:text
Item: (CDAPrecondition)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:precondition/hl7:criterion/hl7:text">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160804T182136/tmp-2.16.840.1.113883.10.12.329-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPrecondition): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.329
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:precondition/hl7:criterion/hl7:value
Item: (CDAPrecondition)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.10.12.302']/hl7:precondition/hl7:criterion/hl7:value">
      <extends rule="ANY"/>
   </rule>
</pattern>
